## org.apache.tools.ant.types
Class Commandline.Argument

    java.lang.Object
      org.apache.tools.ant.types.Commandline.Argument

Direct Known Subclasses:
  ImplementationSpecificArgument

Enclosing class:
  Commandline

public static class Commandline.Argument
extends java.lang.Object

Used for nested xml command line definitions.

Constructor Summary
`Commandline.Argument()`

Method Summary
`java.lang.String[]` `getParts()` Returns the parts this Argument consists of.
`void` `setFile(java.io.File value)` Sets a single commandline argument to the absolute filename of the given file.
`void` `setLine(java.lang.String line)` Line to split into several commandline arguments.
`void` `setPath(Path value)` Sets a single commandline argument and treats it like a PATH - ensures the right separator for the local platform is used.
`void` `setValue(java.lang.String value)` Sets a single commandline argument.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Commandline.Argument

    public Commandline.Argument()

Method Detail

### setValue

    public void setValue(java.lang.String value)

  Sets a single commandline argument.

  Parameters:
    `value` - a single commandline argument.

### setLine

    public void setLine(java.lang.String line)

  Line to split into several commandline arguments.

  Parameters:
    `line` - line to split into several commandline arguments

### setPath

    public void setPath(Path value)

  Sets a single commandline argument and treats it like a PATH - ensures the right separator for the local platform is used.

  Parameters:
    `value` - a single commandline argument.

### setFile

    public void setFile(java.io.File value)

  Sets a single commandline argument to the absolute filename of the given file.

  Parameters:
    `value` - a single commandline argument.

### getParts

    public java.lang.String[] getParts()

  Returns the parts this Argument consists of.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.